Bug 242816 - Defunct hcid processes after resume from S3
Summary: Defunct hcid processes after resume from S3
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez-utils   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: David Woodhouse
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 22:35 UTC by Matthias Saou
Modified: 2008-01-17 13:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 13:20:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Saou 2007-06-05 22:35:48 UTC
On a Dell Latitude X1 laptop, with integrated bluetooth which works fine, I get
defunct hcid processes, one after each resume from suspend (S3).

 3844 ?        Ss     0:00 /usr/sbin/hcid
 3856 ?        S      0:00  \_ /usr/lib/bluetooth/bluetoothd-service-input
 4302 ?        Z      0:00  \_ [hcid] <defunct>
 4303 ?        Z      0:00  \_ [hcid] <defunct>

If I restart the "bluetooth" service, then they go away. Here are extract from
/var/log/messages which might be useful :

Jun  6 00:31:21 twister hcid[3844]: HCI dev 0 down
Jun  6 00:31:21 twister hcid[3844]: Stopping security manager 0
Jun  6 00:31:21 twister hcid[3844]: Device hci0 has been disabled
Jun  6 00:31:21 twister hcid[3844]: HCI dev 0 unregistered
Jun  6 00:31:21 twister hcid[3844]: Unregister path: /org/bluez/hci0
Jun  6 00:31:21 twister hcid[3844]: Device hci0 has been removed
Jun  6 00:31:21 twister hcid[3844]: HCI dev 0 registered
Jun  6 00:31:21 twister hcid[3844]: HCI dev 0 up
Jun  6 00:31:21 twister hcid[3844]: Device hci0 has been added
Jun  6 00:31:21 twister hcid[3844]: Starting security manager 0
Jun  6 00:31:21 twister hcid[3844]: Device hci0 has been activated

This is with F7 and all current updates and updates-testing applied (as of
today). Note that bluetooth still works fine, it's just that a new defunct
process is there after each and every suspend.

Comment 1 Matthias Saou 2007-06-05 22:38:04 UTC
Oh, it's actually two new defunct processes for each suspend, as can be seen by
the nearby pids (3 suspends for this result) :

 3844 ?        Ss     0:00 /usr/sbin/hcid
 4302 ?        Z      0:00  \_ [hcid] <defunct>
 4303 ?        Z      0:00  \_ [hcid] <defunct>
 4838 ?        Z      0:00  \_ [hcid] <defunct>
 4847 ?        Z      0:00  \_ [hcid] <defunct>
 5193 ?        Z      0:00  \_ [hcid] <defunct>
 5194 ?        Z      0:00  \_ [hcid] <defunct>

Comment 2 Bastien Nocera 2007-10-05 11:43:35 UTC
There's been 10 releases of bluez-utils since then, and I can't find any
relevant changes for that particular problem. Would you mind trying upgrading
bluez-utils and bluez-libs to their current rawhide versions and seeing whether
you see the same problem?

Comment 3 Matthias Saou 2007-10-10 20:30:16 UTC
I updated the 3 following packages on F7 i386 :
bluez-gnome-0.14-7.fc8.i386.rpm
bluez-libs-3.20-1.fc8.i386.rpm
bluez-utils-3.20-2.fc8.i386.rpm

# /usr/sbin/hcid -s -n
hcid[8544]: Bluetooth HCI daemon
/usr/sbin/hcid: symbol lookup error: /usr/sbin/hcid: undefined symbol:
dbus_watch_get_unix_fd

So it looks like the bluez-gnome package could use an explicit dbus dependency
on some higher version... or dbus could have used some soname bump at some point.

Comment 4 Matthias Saou 2007-10-10 20:32:05 UTC
...and since the F8 dbus requires a newer libexpat, the packages can't be
updated as-is on F7. I'll try a rebuild when I have some time.

Comment 5 Matthias Saou 2008-01-17 13:20:29 UTC
This is no longer happening with Fedora 8, so closing.


Note You need to log in before you can comment on or make changes to this bug.